Bug 196016 - www/bacula-web: pkg-plist view/cache should belong to www:www & be deleted on deinstall
Summary: www/bacula-web: pkg-plist view/cache should belong to www:www & be deleted on...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Matthias Fechner
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2014-12-16 09:01 UTC by Pavel Timofeev
Modified: 2021-07-17 08:09 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (mfechner)


Attachments
pkg-plist patch (237 bytes, patch)
2015-07-30 08:16 UTC, Pavel Timofeev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2014-12-16 09:01:23 UTC
Hello!
Look at pkg-plist. %%BASE%%/application/view/cache should belong to www:www to make bacula-web work. And this directory should be deleted on deinstallation even if it contains files.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-16 09:01:23 UTC
Maintainer CC'd
Comment 2 Dan Langille freebsd_committer 2014-12-21 02:53:56 UTC
I think the app should be changed to changed to use /var/cache

If that can't be done upstream, perhaps we can patch it locally.
Comment 3 Pavel Timofeev 2015-02-05 11:03:30 UTC
Any progress?
Comment 4 Dan Langille freebsd_committer 2015-02-05 14:46:07 UTC
None.  Sorry.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-26 01:57:26 UTC
Can't be in progress if not assigned, assign accordingly to Dans FreeBSD email
Comment 6 Pavel Timofeev 2015-07-30 08:16:49 UTC
Created attachment 159387 [details]
pkg-plist patch

Ok, things changed after r392995.
See https://svnweb.freebsd.org/ports?view=revision&revision=392995

Now we only need to add one line to pkg-plist. That's all!
Comment 7 Dan Langille freebsd_committer 2015-08-04 22:15:24 UTC
What line needs to be added?
Comment 8 Pavel Timofeev 2015-08-05 04:55:07 UTC
(In reply to Dan Langille from comment #7)
I created an attach with patch against current port pkg-plist which adds a needed line. Look into it.
Comment 9 Pavel Timofeev 2015-08-06 11:57:16 UTC
Sooo? ;)
Comment 10 Pavel Timofeev 2015-08-06 12:15:35 UTC
(In reply to Dan Langille from comment #7)
Sorry, I just wanted to provide a patch to make this port at least work from the box.
Patch doesn't create cache dir in right place (/var/cache/bacula-web?) and doesn't remove dir if it's non-empty.
It's just a temp. workaround.
Comment 11 commit-hook freebsd_committer 2016-10-04 08:22:37 UTC
A commit references this bug:

Author: brnrd
Date: Tue Oct  4 08:21:40 UTC 2016
New revision: 423243
URL: https://svnweb.freebsd.org/changeset/ports/423243

Log:
  mail/roundcube: Update to 1.2.1

    - Update to 1.2.1
    - Add missing .htaccess file in WWWDIR [1]
    - Switch WANT_PHP_WEB to USES= php:web
    - Add description for DB options group
    - Convert all ${PORT_OPTIONS:Mfoo} to OPTIONS framework
    - Convert target conditionals to target-OPT-on

  PR:		196016 [1]
  Submitted by:	Lukasz Wasikowski <lukasz@wasikowski.net> [1]
  Approved by:	Maintainer timeout

Changes:
  head/mail/roundcube/Makefile
  head/mail/roundcube/distinfo
Comment 12 Dan Langille freebsd_committer 2016-10-04 10:58:15 UTC
(In reply to commit-hook from comment #11)

The commit is against mail/roundcube

This PR concerns www/bacula-web

Please explain.  :)
Comment 13 commit-hook freebsd_committer 2016-12-04 21:04:18 UTC
A commit references this bug:

Author: junovitch
Date: Sun Dec  4 21:03:15 UTC 2016
New revision: 427804
URL: https://svnweb.freebsd.org/changeset/ports/427804

Log:
  MFH: r423243 r423250 r423479 r427802

  mail/roundcube: Update to 1.2.1

    - Update to 1.2.1
    - Add missing .htaccess file in WWWDIR [1]
    - Switch WANT_PHP_WEB to USES= php:web
    - Add description for DB options group
    - Convert all ${PORT_OPTIONS:Mfoo} to OPTIONS framework
    - Convert target conditionals to target-OPT-on

  PR:		196016 [1]
  Submitted by:	Lukasz Wasikowski <lukasz@wasikowski.net> [1]
  Approved by:	Maintainer timeout

  mail/roundcube: fix dependency when using SQLite, bump PORTREVISION

  mail/roundcube: 1.2.1 -> 1.2.2

  PR:		196026
  Changes:	https://github.com/roundcube/roundcubemail/wiki/Changelog#release-122
  Submitted by:	brnrd
  Approved by:	ale (maintainer timeout)

  mail/roundcube: update 1.2.2 -> 1.2.3; add NO_ARCH while here

  Changes:	https://github.com/roundcube/roundcubemail/wiki/Changelog#release-123

  PR:		214925
  Submitted by:	brnrd
  Security:	https://vuxml.FreeBSD.org/freebsd/125f5958-b611-11e6-a9a5-b499baebfeaf.html

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/mail/roundcube/Makefile
  branches/2016Q4/mail/roundcube/distinfo
Comment 14 Dan Langille freebsd_committer 2016-12-04 21:31:38 UTC
(In reply to commit-hook from comment #13)
NOTE: the referenced commit is not related to this PR.
Comment 15 Walter Schwarzenfeld freebsd_triage 2018-01-12 03:02:26 UTC
The patch will not apply anomore. Pkg-plist looks complete different. Please feedback if it is relevant from submitter and maintainer. Thanks!
Comment 16 Pavel Timofeev 2018-01-25 13:03:57 UTC
(In reply to w.schwarzenfeld from comment #15)
Give me some time, I'll provide the feedback soon
Comment 17 Dan Langille freebsd_committer 2021-03-17 00:15:31 UTC
Happy to test a patch on what you have.
Comment 18 Dan Langille freebsd_committer 2021-07-15 16:24:54 UTC
I see I still have this ticket and it should be assigned to the new maintainer who is doing a much better job than I was.
Comment 19 Matthias Fechner freebsd_committer 2021-07-17 08:07:57 UTC
What I see here:
https://cgit.freebsd.org/ports/tree/www/bacula-web/pkg-plist#n155

The cache/asset directories are created with correct permission.

Files that are generated by the application itself are not removed by pkg, this is a task for the user that is deinstalling the application.
I will add there a message that is displayed on deinstall.
Comment 20 commit-hook freebsd_committer 2021-07-17 08:09:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=794d9d09ddb62f65ffdc66df5eb4ec5944924604

commit 794d9d09ddb62f65ffdc66df5eb4ec5944924604
Author:     Matthias Fechner <mfechner@FreeBSD.org>
AuthorDate: 2021-07-17 08:06:00 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-07-17 08:08:24 +0000

    www/bacula-web: Show a message on deinstall to remove files

    The application is generating some files on usage which are maybe not
    required anymore if you deinstalled the application.
    Suggest on deinstall a command the user can execute to remove all
    files.

    PR:             196016

 www/bacula-web/Makefile             | 2 +-
 www/bacula-web/files/pkg-message.in | 7 +++++++
 2 files changed, 8 insertions(+), 1 deletion(-)
Comment 21 Matthias Fechner freebsd_committer 2021-07-17 08:09:38 UTC
Should be fixed now, if you miss anything else, please let me know.